/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.protocol;

import java.util.List;

import hu.midori.kosmos.model.SvnRepository;

/**
 * This service provides information about <i>Subversion</i> repositories.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public interface SvnService extends TimestampedService {
    /**
     * Returns the repository on the given URL.
     * @param url points to an SVN repository (eg. <code>http://svn.apache.org/repos/asf/ant</code>).
     * @return a list with a single item.
     */
    List<SvnRepository> getRepositories(String url);
}
